id: d7_field_option_translation
label: Field option configuration translation
migration_tags:
  - Drupal 7
  - Configuration
  - Multilingual
field_plugin_method: alterFieldMigration
source:
  plugin: d7_field_option_translation
process:
  langcode:
    plugin: skip_on_empty
    source: language
    method: row
  entity_type: entity_type
  field_name: field_name
  type:
    plugin: process_field
    source: type
    method: getFieldType
  results:
    plugin: d7_field_option_translation
    source:
      - '@type'
      - data
  translation:
    -
      plugin: extract
      source: '@results'
      index: [1]
    -
      plugin: skip_on_empty
      method: row
  property:
    -
      plugin: extract
      source: '@results'
      index: [0]
    -
      plugin: skip_on_empty
      method: row
destination:
  plugin: entity:field_storage_config
  translations: true
migration_dependencies:
  required:
    - language
    - d7_field
